Support » Plugin: Accept Donations with PayPal » Error code when using shortcode

  • Resolved annealex

    (@annealex)


    Whenever I use the short code: [wpedon id=221]

    I get this:

    Warning: Cannot modify header information – headers already sent by (output started at /home/susangab/public_html/climateandeconomy.com/wp-content/plugins/easy-paypal-donation/includes/public_shortcode.php:413) in /home/susangab/public_html/climateandeconomy.com/wp-content/themes/Divi/includes/builder/functions.php on line 2491

    Warning: Cannot modify header information – headers already sent by (output started at /home/susangab/public_html/climateandeconomy.com/wp-content/plugins/easy-paypal-donation/includes/public_shortcode.php:413) in /home/susangab/public_html/climateandeconomy.com/wp-content/themes/Divi/includes/builder/functions.php on line 2493

    Warning: Cannot modify header information – headers already sent by (output started at /home/susangab/public_html/climateandeconomy.com/wp-content/plugins/easy-paypal-donation/includes/public_shortcode.php:413) in /home/susangab/public_html/climateandeconomy.com/wp-admin/post.php on line 198

    Warning: Cannot modify header information – headers already sent by (output started at /home/susangab/public_html/climateandeconomy.com/wp-content/plugins/easy-paypal-donation/includes/public_shortcode.php:413) in /home/susangab/public_html/climateandeconomy.com/wp-includes/pluggable.php on line 1216

    The paypal donation button DOES show and work – but those error messages are concerning me. Any advice on how to fix this? Many thanks!!

    The page I need help with: [log in to see the link]

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Scott Paterson

    (@scottpaterson)

    Do you know what version of PHP your site is running? I think that may be causing the problem. The plugin requires at least PHP 5.6 or higher. Ideally 7.2 which is the newest version.

    You can check using this plugin: https://wordpress.org/plugins/wordpress-php-info/

    Thread Starter annealex

    (@annealex)

    Thanks, Scott. It wasn’t designated in my cPanel, but I set it for the latest = 7.2.5, updated everything, and it’s still happening. šŸ™ ANy other ideas?

    Plugin Author Scott Paterson

    (@scottpaterson)

    It looks like this maybe somehow related to using Divi Builder.

    If you try not using the shortcode in Divi Builder, do you still get the same error?

    Thread Starter annealex

    (@annealex)

    I agree it may have something to do with the Divi theme, but, yes, it still happens even when NOT using the Divi builder.

    Plugin Author Scott Paterson

    (@scottpaterson)

    I just released version 1.2.9 of the plugin. I think it will fix this issue. Please let me know.

    Thread Starter annealex

    (@annealex)

    Yes! It’s fine now! Thank you!

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Error code when using shortcode’ is closed to new replies.